> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VLR event matches (v2)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/esports/vlr/events/{event_id}/matches
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v2/esports/vlr/events/{event_id}/matches:
    get:
      tags:
        - valorant
      summary: Get VLR event matches (v2)
      operationId: esports_event_v2
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
      responses:
        '200':
          description: Esports event matches retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsportsV2EventResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    EsportsV2EventResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2EventDetail'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    EsportsV2EventDetail:
      type: object
      required:
        - id
        - slug
        - teams
        - tags
        - event
        - series
      properties:
        date:
          type:
            - string
            - 'null'
        event:
          type: string
        id:
          type: integer
          format: int32
          minimum: 0
        series:
          type: string
        slug:
          type: string
        tags:
          type: array
          items:
            type: string
        teams:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2MatchTeam'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    EsportsV2MatchTeam:
      type: object
      required:
        - name
        - is_winner
      properties:
        is_winner:
          type: boolean
        name:
          type: string
        score:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0

````